Subject: RE: bug#44454: 26.3; Enhancement request: let :help in menus take a FORM arg, i.e., be eval'd

From: Drew Adams <[email-masked]>
Date: Mon, 9 Nov 2020 08:26:25 -0800 (PST)

> :visible and :enable have to allow forms as values.  What's the use case
> for forms for :help elements?

Same purpose as :visible and :enable:

To be able to change the help echo depending on the
current context.  The command for the menu item can
have different behaviors, depending on the context.
The help echo could let you know about this.

For example, the help echo for a command that cycles
some setting/value could let you know what the
current value is or what the next one will be if you
choose that menu item - let you know what will happen.

Just as :visible and :enable let you know whether a
command is currently available, so could :help let
you know what its behavior will be.

I have exactly this situation in my `Info' submenu
`Toggle/Cycle'.  For the toggle commands there, the
toggle checkmark suffices to let you know the current
(and hence the next) state/value.  For cycle commands
there's no way to know, except by actually cycling.
___

(Dare I ask if there's some reason that :help cannot
or shouldn't accept a FORM to evaluate?  Will I be
denounced again for including a question "Why not?"?
You have the "why" above.  But I'd anyway like to know
what it is, if there's a good answer to "why not?".)